%global cpan_name Geo-IPfree
%global cpan_version 1.122880
%global cpan_author BRICAS
Name:           perl-%{cpan_name}
Version:        %(echo '%cpan_version' | sed 's/^\([0-9]\{1,\}\)\./\1\n/' | sed '2 s/\(.\)/.\1/g' | sed '1N;s/\n//')
Release:        1%{?dist}
Summary:        Look up the country of an IPv4 Address
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{cpan_name}/
Source0:        http://www.cpan.org/authors/id/%(echo '%{cpan_author}' | sed 's=\(.\)\(.\)=\1/\1\2/\1\2=')/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Memoize)
# Tests only:
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package comes with it's own database to look up the IPv4's country, and
is totally free.

%prep
%setup -q -n %{cpan_name}-%{cpan_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes misc README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Oct 23 2012 Petr Pisar <ppisar@redhat.com> - 1.1.2.2.8.8.0-1
- 1.122880 bump

* Fri Jul 13 2012 Petr Pisar <ppisar@redhat.com> - 1.1.2.1.6.6.0-1
- 1.121660 bump

* Tue Mar 20 2012 Petr Pisar <ppisar@redhat.com> - 1.1.2.0.4.6.0-1
- 1.1.2.0.4.6.0 bump

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.0.2.8.7.0-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.2.8.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 08 2010 Petr Pisar <ppisar@redhat.com> - 1.1.0.2.8.7.0-2
- Add BuildRequires needed for tests

* Mon Nov 08 2010 Petr Pisar <ppisar@redhat.com> - 1.1.0.2.8.7.0-1
- 1.102870 bump

* Wed Aug 11 2010 Petr Pisar <ppisar@redhat.com> - 1.1.0.1.6.5.0-1
- 1.101650 bump
- Experimental RPM-extensible version numbering

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.4-5
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.4-4
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 02 2009 Allisson Azevedo <allisson@gmail.com> 0.4-1
- Initial rpm release.
